Passive Liveliness for Image API
Introduction
Liveness check helps to detect if a live person is present in front of the camera during any onboarding process and also helps to identify any spoofing attack done by fraudsters. This is the best used with the Signzy face match solution
Feature Highlights
- Supports JPEG, PNG, TIFF and PDF as input.
- Detects any spoofing attempt like Photo of a Photo, Video Recording, etc
- Multiple people in front of the camera
- Powerful RestAPI’s which works with both Mobile & Web
How to call the API
You will need to login before sending the request. You are required to pass the access token received from the login call, as authorization header in the Passive Liveliness for Image request.
API Input Guidelines
Image Requirements
- Recommended height - 720p or 1080p.
- Minimal supported height - 480p
- No image compression is highly recommended: JPEG 70 is the lowest practical compression level
- Maximum Size support 50 MB
- Recommended minimum compression, preferably lossless compression such as PNG for best results
Face Requirement
- Minimal face size required - 224 pixels
- The minimal distance between the eyes - 90 pixels
- Out of the plane rotation - 20 degrees
- In-plane rotation - 30 degrees
- Recommended not to obstruct the face with covid masks, glasses, by putting hand on your face etc.
Threshold
The design threshold for the algorithm is 40%. Greater than 40% is live; less is a Spoof (Recommended around 40-45%).
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..patronId../passiveLiveness' \
--header 'Authorization: <token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "checkLiveness",
"essentials": {
"image": "<Image>"
}
}'Response Parameter
PARAMETER NAME | DESCRIPTION |
|---|---|
task | Task to be performed "checkLivliness" |
essentials | Contains essentials input |
essentials.image | Contains Image Url |
id | Unique id of the response |
patronId | Unique id of the user generated from login call |
result | Contains response data of the given Input |
result.liveness | Whether the image is live or not |
result.score | Score for image passive liveness |
result.probability | Probablity of being inaccurate |
result.quality | Score for quality of the image passed |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].